/* 헤딩 스타일 */
.wp-block-post-content :is(h1,h2,h3,h4,h5,h6,[class *= "custom-style-h"]) {
  text-shadow: 2px 2px 0 #000, 0 0 10px #000,0 0 10px #000;
  color: #fff;
  font-family: 'KoPub Batang', sans-serif;
  font-weight: bold;
}

.wp-block-post-content :is(h1,.custom-style-h1) {
  text-shadow: 2px 2px 0 #000;
  font-weight: normal;
  background: #28292B;
  border: 2px solid #909194;
  border-width: 2px 0 2px 0;
  font-size: var(--wp--preset--font-size--xx-large);
  padding: 1.2rem 6%;
  mask-image: linear-gradient(to right, transparent, black 5% 95%, transparent);
  -webkit-mask-image: linear-gradient(to right, transparent, black 5% 95%, transparent);
 }
 .wp-block-post-content :is(h1,.custom-style-h1)::before {
    content: ' ';
    display: inline-block;
    height: var(--wp--preset--font-size--xx-large);
    width: 5px;
    background-color: #909194;
    margin-right: 15px;
    vertical-align: middle;
    translate: 0px -3px;
 }
 
 .wp-block-post-content :is(h2,.custom-style-h2) {
  text-shadow: 0 2px 1px #000;
  padding: 1rem 0;
  filter: drop-shadow(0 1px 0 #000) drop-shadow(0 0 5px #000);
  font-size: var(--wp--preset--font-size--xx-large);
   text-align: center;
   border: 5px double #fff;
   border-width: 0 0 7px 0;
   mask-image: linear-gradient(to right, transparent, black 5% 95%, transparent);
  -webkit-mask-image: linear-gradient(to right, transparent, black 5% 95%, transparent);

 }
 
 .wp-block-post-content :is(h3,.custom-style-h3) {
  text-align: center;
 }
 
  .wp-block-post-content :is(h3,.custom-style-h3)::after {
    content: ' ';
	display: block;
	margin-top: 5px;
    height: 12px;
	background: linear-gradient(90deg, #561819, #7B1A19 25% 75%, #561819);
	box-shadow: inset 0 0 0 2px #909194;
  }
  
  
  /* 이미지 */
  .wp-block-post-content img {
    border-radius: 15px;
    border: 1px solid #909194;
  }
  
  /* 목차 디자인 */
.toc-h1 {margin-left: 5px!important;}
.toc-h3 {margin-left: 25px!important;}